Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.regex
Class SurrogateRegexTranslator.WideSingleChar

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
          net.sf.saxon.regex.SurrogateRegexTranslator.WideSingleChar

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.WideSingleChar

extends SurrogateRegexTranslator.SimpleCharClass

Character class that matches a single specific character outside the BMP

Constructor Summary
`SurrogateRegexTranslator.WideSingleChar(int c)`

Method Summary
`void` | `addNonBmpRanges(List ranges)` Add ranges of non-BMP characters that are matched by this character class.
`int` | `getSingleChar()` If this character class contains a single character, get that character
`void` | `inClassOutputBmp(FastStringBuffer buf)`

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
`outputBmp, outputComplementBmp`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.WideSingleChar

    public SurrogateRegexTranslator.WideSingleChar(int c)

Method Detail

### inClassOutputBmp

    public void inClassOutputBmp(FastStringBuffer buf)

  Specified by:
    `inClassOutputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`

### getSingleChar

    public int getSingleChar()

  If this character class contains a single character, get that character

  Returns:
    the single character matched by this character class, or -1 if it matches multiple characters

### addNonBmpRanges

    public void addNonBmpRanges(List ranges)

  Add ranges of non-BMP characters that are matched by this character class. Default implementation does nothing.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.